org.apache.ignite.cache.query

## Interface FieldsQueryCursor<T>

All Superinterfaces:
  AutoCloseable, Iterable<T>, QueryCursor<T>

All Known Implementing Classes:
  BulkLoadContextCursor, QueryCursorImpl

    public interface FieldsQueryCursor<T>
    extends QueryCursor<T>

SQL query result cursor. This extends `QueryCursor` to expose fields metadata to public API for SqlFieldsQueries.

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getColumnsCount()` Gets number of columns in a row.
`String` `getFieldName(int idx)` Gets field name.

### Methods inherited from interface org.apache.ignite.cache.query.QueryCursor

`close, getAll`

### Methods inherited from interface java.lang.Iterable

`forEach, iterator, spliterator`

### Method Detail

#### getFieldName

    String getFieldName(int idx)

Gets field name.

Parameters:
  `idx` - field index.
Returns:
  Field name.

#### getColumnsCount

    int getColumnsCount()

Gets number of columns in a row.

Returns:
  row size.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022